/*
 * @Author: your name
 * @Date: 2022-01-08 16:08:30
 * @LastEditTime: 2022-01-11 16:51:23
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \goldenPig\src\views\basic-data\archives-admin\config\modal.config.js
 */
export const modalItemProp = [
  {
    label: '牧场名称：',
    type: 'select',
    field: 'farmCode',
    placeholder: '请选择牧场名称',
  },
  {
    label: '上级：',
    type: 'custom',
    field: 'parentId',
    slotName: 'parentId',
    placeholder: '请选择上级'
  },
  {
    label: '栋舍名称：',
    type: 'input',
    field: 'pigpenName',
    placeholder: '请输入栋舍名称',
  },
  {
    label: '猪舍温度(℃)：',
    type: 'input',
    field: 'pigpenTemp',
    placeholder: '请输入猪舍温度',
  },
  {
    label: '状态：',
    type: 'select',
    field: 'tempAnomaly',
    placeholder: '请选择状态',
    options: [
      {
        value: 1,
        label: '正常'
      },
      {
        value: 0,
        label: '异常'
      }
    ]
  },
  {
    label: '阶段：',
    type: 'select',
    field: 'stage',
    placeholder: '请选择状态',
    options: [
      {
        value: 1,
        label: '保育'
      },
      {
        value: 2,
        label: '配怀'
      },
      {
        value: 3,
        label: '分娩'
      }
    ]
  },
]
